Package groovy.util

# Enum ObservableMap.ChangeType

java.lang.Object
java.lang.Enum<ObservableMap.ChangeType>
groovy.util.ObservableMap.ChangeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ObservableMap.ChangeType>`, `Constable`

Enclosing class:
  `ObservableMap`

public static enum ObservableMap.ChangeType extends Enum<ObservableMap.ChangeType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADDED`
`CLEARED`
`MULTI`
`NONE`
`REMOVED`
`UPDATED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Object`
`newValue`
`static final Object`
`oldValue`

## Method Summary

Modifier and Type
Method
Description
`static ObservableMap.ChangeType`
`resolve(int ordinal)`
`static ObservableMap.ChangeType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ObservableMap.ChangeType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADDED

public static final ObservableMap.ChangeType ADDED

### UPDATED

public static final ObservableMap.ChangeType UPDATED

### REMOVED

public static final ObservableMap.ChangeType REMOVED

### CLEARED

public static final ObservableMap.ChangeType CLEARED

### MULTI

public static final ObservableMap.ChangeType MULTI

### NONE

public static final ObservableMap.ChangeType NONE

## Field Details

### oldValue

public static final Object oldValue

### newValue

public static final Object newValue

## Method Details

### values

public static ObservableMap.ChangeType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ObservableMap.ChangeType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### resolve

public static ObservableMap.ChangeType resolve(int ordinal)